Package: libglib2.0-0
Version: 2.53.4-3
Severity: normal

Dear Maintainer,

   * What led up to the situation?

Now, when I go to open a file with any gtk (2 & 3) app, now I see the
filechooser dialog "places" side panel populated with all the filesystem in the
machine. They are the same as the output of: 'df -a'. I attach a screenshot of
this dialogue as "dialog-wrong.png"

The past days the dialoges where well. I see that in these days the unique
packages that have changed and will be the culprit are (taken form
/var/log/apt/history):
  libglib2.0-bin:amd64 (2.52.3-1, 2.53.4-3
  libglib2.0-data:amd64 (2.52.3-1, 2.53.4-3)
  libglib2.0-0:amd64 (2.52.3-1, 2.53.4-3)

   * What exactly did you do (or not do) that was effective (or
     ineffective)?

I download these packages from snapshot.debian.org, in the version 2.52.3-1,
and install them:

$ export LANG=C && sudo dpkg -i libglib2.0-data_2.52.3-1_all.deb
libglib2.0-bin_2.52.3-1_amd64.deb libglib2.0-0_2.52.3-1_amd64.deb
dpkg: warning: downgrading libglib2.0-data from 2.53.4-3 to 2.52.3-1
(Reading database ... 175075 files and directories currently installed.)
Preparing to unpack libglib2.0-data_2.52.3-1_all.deb ...
Unpacking libglib2.0-data (2.52.3-1) over (2.53.4-3) ...
dpkg: warning: downgrading libglib2.0-bin from 2.53.4-3 to 2.52.3-1
Preparing to unpack libglib2.0-bin_2.52.3-1_amd64.deb ...
Unpacking libglib2.0-bin (2.52.3-1) over (2.53.4-3) ...
dpkg: warning: downgrading libglib2.0-0:amd64 from 2.53.4-3 to 2.52.3-1
Preparing to unpack libglib2.0-0_2.52.3-1_amd64.deb ...
Unpacking libglib2.0-0:amd64 (2.52.3-1) over (2.53.4-3) ...
Setting up libglib2.0-data (2.52.3-1) ...
Setting up libglib2.0-0:amd64 (2.52.3-1) ...
Setting up libglib2.0-bin (2.52.3-1) ...
Processing triggers for man-db (2.7.6.1-2) ...
Processing triggers for libc-bin (2.24-12) ...

With this now the filechooser dialogue is good, you can see it in the atached
file "dialog-good.png".

But if I made an apt-get upgrade now:

$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  libglib2.0-0 libglib2.0-bin libglib2.0-data
3 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 6875 kB of archives.
After this operation, 150 kB disk space will be freed.
Do you want to continue? [Y/n]
Get:1 http://ftp.de.debian.org/debian buster/main amd64 libglib2.0-data all
2.53.4-3 [2502 kB]
Get:2 http://ftp.de.debian.org/debian buster/main amd64 libglib2.0-bin amd64
2.53.4-3 [1578 kB]
Get:3 http://ftp.de.debian.org/debian buster/main amd64 libglib2.0-0 amd64
2.53.4-3 [2796 kB]
Fetched 6875 kB in 2s (2662 kB/s)
Aldaketa erregistroak irakurtzen... Eginda
(Reading database ... 175073 files and directories currently installed.)
Preparing to unpack .../libglib2.0-data_2.53.4-3_all.deb ...
Unpacking libglib2.0-data (2.53.4-3) over (2.52.3-1) ...
Preparing to unpack .../libglib2.0-bin_2.53.4-3_amd64.deb ...
Unpacking libglib2.0-bin (2.53.4-3) over (2.52.3-1) ...
Preparing to unpack .../libglib2.0-0_2.53.4-3_amd64.deb ...
Unpacking libglib2.0-0:amd64 (2.53.4-3) over (2.52.3-1) ...
Setting up libglib2.0-0:amd64 (2.53.4-3) ...
Setting up libglib2.0-data (2.53.4-3) ...
Processing triggers for libc-bin (2.24-12) ...
Processing triggers for man-db (2.7.6.1-2) ...
Setting up libglib2.0-bin (2.53.4-3) ...
localepurge: Disk space freed in /usr/share/locale: 7664 KiB
localepurge: Disk space freed in /usr/share/man: 0 KiB
localepurge: Disk space freed in /usr/share/gnome/help: 0 KiB
localepurge: Disk space freed in /usr/share/omf: 0 KiB

Total disk space freed by localepurge: 7664 KiB

Now the dialogue is wrong again :-/

I will tray to send 2 screenshot from the filechooser dialogs. Many thanks from
your work. Greetings. Martintxo.

-- System Information:
Debian Release: buster/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 4.11.0-12.1-liquorix-amd64 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=eu_ES.UTF-8, LC_CTYPE=eu_ES.UTF-8 (charmap=UTF-8),
LANGUAGE=eu_ES:eu:es_ES:es:en_GB:en (charmap=UTF-8) Shell: /bin/sh linked
to /bin/dash Init: systemd (via /run/systemd/system)

Versions of packages libglib2.0-0 depends on:
ii  libc6        2.24-12
ii  libffi6      3.2.1-6
ii  libmount1    2.29.2-2
ii  libpcre3     2:8.39-4
ii  libselinux1  2.6-3+b2
ii  zlib1g       1:1.2.8.dfsg-5

Versions of packages libglib2.0-0 recommends:
ii  libglib2.0-data   2.53.4-3
ii  shared-mime-info  1.8-1
ii  xdg-user-dirs     0.15-2+b1

libglib2.0-0 suggests no packages.

-- no debconf information




----
Sustrai Erakuntza: respuesta jurídico-técnica a proyectos insostenibles.
                              proiektu jasangaitzei erantzun juridiko-teknikoa.
  http://www.fundacionsustrai.org
  http://www.sustraierakuntza.org

Reply via email to